/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufpr.tads.jfinisher.action;

import br.ufpr.tads.jfinisher.JFinisher;
import br.ufpr.tads.jfinisher.frame.MainFrame;
import br.ufpr.tads.jfinisher.OpenSequence;
import br.ufpr.tads.jfinisher.OpenSequenceAlignment;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class RemoveAlignmentAction implements ActionListener {

    private OpenSequence openSequence;
    private OpenSequenceAlignment openSequenceAlignment;

    public RemoveAlignmentAction(OpenSequence os, OpenSequenceAlignment osa) {
        openSequence = os;
        openSequenceAlignment = osa;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        //Remove alinhamento do mapa
        JFinisher.mainFrame.sspMap.removeSequenceAlignment(openSequence, openSequenceAlignment);

        //Remove alinhamento do objeto
        openSequence.removeOpenSequenceAlignment(openSequenceAlignment);
        
        //Caso possua mais alinhamentos, seleciona o ultimo como principal, seno volta pra posio inicial
        int totalAlignments = openSequence.getAlignment().size();
        OpenSequenceAlignment auxOsa;
        if (totalAlignments > 0) {
            auxOsa = openSequence.getAlignment().get(totalAlignments - 1);
        } else {
            auxOsa = null;
        }
        //Seleciona novo
        openSequence.setOpenSequenceAlignmentSelected(auxOsa);
        //Marca sequencia no mapa
        JFinisher.mainFrame.sspMap.paintAlign(openSequence, auxOsa);
        //Move sequencia na tela
        JFinisher.mainFrame.sspContigs.moveSequence(openSequence, auxOsa, openSequenceAlignment);

        
    }
}