/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufpr.tads.jfinisher.action;

import br.ufpr.tads.jfinisher.JFinisher;
import br.ufpr.tads.jfinisher.frame.MainFrame;
import br.ufpr.tads.jfinisher.OpenSequence;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JCheckBox;
import javax.swing.JOptionPane;

public class RemoveContigAction implements ActionListener {

    private OpenSequence openSequence;

    public RemoveContigAction(OpenSequence os) {
        openSequence = os;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        Object[] params = new Object[2];
        JCheckBox removeFromFile = new JCheckBox(JFinisher.textResource.getString("ContigMenuListener.removeContig.original"));
        String message = JFinisher.textResource.getString("ContigMenuListener.removeContig.confirm");

        params[0] = message;
        if (openSequence.isMultiSequenceFile()) {
            params[1] = removeFromFile;
        }

        int removeConfirm = JOptionPane.showConfirmDialog(null, params, JFinisher.textResource.getString("ContigMenuListener.removeContig.text"), JOptionPane.OK_CANCEL_OPTION);
        if (removeConfirm == JOptionPane.OK_OPTION) {
            JFinisher.mainFrame.sspContigs.removeSequence(openSequence, removeFromFile.isSelected());
        }
    }
}