/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufpr.tads.jfinisher.action;

import br.ufpr.tads.jfinisher.JFinisher;
import br.ufpr.tads.jfinisher.OpenSequence;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JOptionPane;

public class RemoveSelectedSequenceAction implements ActionListener {

    private OpenSequence openSequence;

    public RemoveSelectedSequenceAction(OpenSequence os) {
        openSequence = os;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        int deleteConfirm = JOptionPane.showConfirmDialog(null, JFinisher.textResource.getString("ContigMenuListener.deleteSelectedSequence.confirm"), JFinisher.textResource.getString("ContigMenuListener.removeContig.text"), JOptionPane.OK_CANCEL_OPTION);
        if (deleteConfirm == JOptionPane.OK_OPTION) {

            int posI, posF;
            if (openSequence.getOpenSequenceAlignmentSelected() == null) {
                posI = 0;
                posF = openSequence.getSequence().getLength() - 1;
            } else {
                posI = openSequence.getOpenSequenceAlignmentSelected().getPosition();
                posF = openSequence.getOpenSequenceAlignmentSelected().getPosition() + openSequence.getSequence().getLength() - 1;
            }
            //Deleta sequencia selecionada
            openSequence.deleteSelectedSequence(openSequence.getSelectedSeq());

            //Atualiza tela
            JFinisher.mainFrame.sspContigs.refreshSequence(openSequence);
 
            //Atualiza consenso
            JFinisher.mainFrame.sspReference.refreshConsensusSequence(posI, posF);

            //Atualiza mapa
            JFinisher.mainFrame.sspMap.refreshSequence(openSequence);

            openSequence.getSequencePanel().clearHighlight();
            JFinisher.mainFrame.sspReference.refreshViewportView();
            JFinisher.mainFrame.sspContigs.refreshViewportView();
        }
    }
}