package br.ufpr.tads.jfinisher.action;

import br.ufpr.tads.jfinisher.JFinisher;
import br.ufpr.tads.jfinisher.frame.AlignmentOutput;
import br.ufpr.tads.jfinisher.OpenSequence;
import br.ufpr.tads.jfinisher.OpenSequenceAlignment;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class ShowAlignmentAction implements ActionListener {

    private OpenSequence openSequence;
    private OpenSequenceAlignment openSequenceAlignment;
    
    public ShowAlignmentAction(OpenSequence os, OpenSequenceAlignment osa) {
        openSequence = os;
        openSequenceAlignment = osa;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        new AlignmentOutput(openSequenceAlignment);
        JFinisher.mainFrame.sspMap.showSequence(openSequence, openSequenceAlignment);     
        
    }
    
}
