/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * AlignmentOutput.java
 *
 * Created on 16/11/2011, 21:09:36
 */
package br.ufpr.tads.jfinisher.frame;

import br.ufpr.tads.jfinisher.OpenSequenceAlignment;
import java.text.DecimalFormat;
import java.util.List;

/**
 *
 * @author vitor
 */
public class AlignmentOutput extends javax.swing.JFrame {

    /** Creates new form AlignmentOutput */
    /** Creates new form AlignmentOutput */
    public AlignmentOutput() {
        initComponents();
    }

    public AlignmentOutput(OpenSequenceAlignment osa) {
        initComponents();

        StringBuilder sb = new StringBuilder();
        DecimalFormat f1 = new DecimalFormat("0.00");
        DecimalFormat f2 = new DecimalFormat("0.00%");
        int length = osa.getRefSeq().getLength();

        sb.append(osa.getStartPosRef() + 1);
        sb.append("\n");
        sb.append(osa.getRefSeq().getSeqStr());
        sb.append("\n");
        sb.append(osa.getMarkupSeq().getSeqStr());
        sb.append("\n");
        sb.append(osa.getContSeq().getSeqStr());
        sb.append("\n");
        sb.append(osa.getStartPosCont() + 1);

        sb.append("\n\n");
        sb.append("Identity: " + osa.getIdentity() + "/" + length + " ("
                + f2.format(osa.getIdentity() / (float) length) + ")");
        sb.append("\n");
        sb.append("Similarity: " + osa.getSimilarity() + "/" + length + " ("
                + f2.format(osa.getSimilarity() / (float) length) + ")");
        sb.append("\n");
        sb.append("Gaps: " + osa.getGaps() + "/" + length + " ("
                + f2.format(osa.getGaps() / (float) length) + ")");
        sb.append("\n");
        sb.append("Score: " + f1.format(osa.getScore()));

        outputTextArea.setText(sb.toString());

        this.setSize(500, 220);
        this.setLocationRelativeTo(null);
        this.setVisible(true);
    }

    public AlignmentOutput(List<String> result) {
        initComponents();
        outputTextArea.setText("");
        for (String r : result) {
            outputTextArea.append(r);
            outputTextArea.append("\n");
        }
        this.setSize(200, 400);
        this.setLocationRelativeTo(null);
        this.setVisible(true);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        outputTextArea = new javax.swing.JTextArea();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("br/ufpr/tads/jfinisher/resource/messages"); // NOI18N
        setTitle(bundle.getString("AlignmentOutput.title")); // NOI18N

        outputTextArea.setColumns(20);
        outputTextArea.setEditable(false);
        outputTextArea.setFont(new java.awt.Font("Monospaced", 0, 12));
        outputTextArea.setRows(5);
        jScrollPane1.setViewportView(outputTextArea);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 495, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 135, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextArea outputTextArea;
    // End of variables declaration//GEN-END:variables
}
