package br.ufpr.tads.jfinisher.sequencepanel;

import br.ufpr.tads.jfinisher.JFinisher;
import br.ufpr.tads.jfinisher.Sequence;
import java.awt.FlowLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class SequencePanel extends JPanel {

    public SequencePanel() {
        super();
        setOpaque(false);
        setLayout(new FlowLayout(FlowLayout.LEFT, 0, 0));
    }

    protected void packPanel(Sequence s) {

        //Remove componentes caso existam (sobreposio)
        if (this.getComponentCount() > 0) {
            this.removeAll();
        }

        //Sequencia
        String sq = s.getSeqStr();
        //Tamanho
        int sqLength = s.getLength();
        //Label para sequencias
        JLabel sqLabel;
        //Variveis de controle
        int bloco = 0, labelN = 0;
        String sequenceSubstring;

        for (bloco = 0; bloco < sqLength - JFinisher.labelBase; bloco += JFinisher.labelBase) {
            labelN++;
            //Preenche labels com conteudo da sequencia
            sequenceSubstring = sq.substring(bloco, bloco + JFinisher.labelBase);
            sqLabel = new JLabel(sequenceSubstring);
            sqLabel.setFont(JFinisher.font);
            this.add(sqLabel);
        }
        //Preenche ultima label com conteudo restante (feito fora do loop para evitar IF - performance)
        sequenceSubstring = sq.substring(bloco, sqLength);
        sqLabel = new JLabel(sequenceSubstring);
        sqLabel.setFont(JFinisher.font);
        this.add(sqLabel);

    }
}
