
package br.ufpr.tads.jfinisher;

import javax.swing.JLabel;

public class OpenSequenceAlignment {
    
    private int startPosRef;
    private int startPosCont;
    private Sequence refSeq;
    private Sequence contSeq;
    private Sequence markupSeq;
    private int identity;
    private int similarity;
    private int gaps;
    private float score;
    private JLabel mapLabel;
    private boolean selected;
    private int median;
    
    public OpenSequenceAlignment() {
    }

    public int getStartPosCont() {
        return startPosCont;
    }

    public void setStartPosCont(int startPosCont) {
        this.startPosCont = startPosCont;
    }

    public int getStartPosRef() {
        return startPosRef;
    }

    public void setStartPosRef(int startPosRef) {
        this.startPosRef = startPosRef;
    }
    
    public Sequence getContSeq() {
        return contSeq;
    }

    public void setContSeq(Sequence contSeq) {
        this.contSeq = contSeq;
    }

    public int getGaps() {
        return gaps;
    }

    public void setGaps(int gaps) {
        this.gaps = gaps;
    }

    public int getIdentity() {
        return identity;
    }

    public void setIdentity(int identity) {
        this.identity = identity;
    }

    public Sequence getMarkupSeq() {
        return markupSeq;
    }

    public void setMarkupSeq(Sequence markupSeq) {
        this.markupSeq = markupSeq;
    }

    public Sequence getRefSeq() {
        return refSeq;
    }

    public void setRefSeq(Sequence refSeq) {
        this.refSeq = refSeq;
    }

    public int getSimilarity() {
        return similarity;
    }

    public void setSimilarity(int similarity) {
        this.similarity = similarity;
    }

    public float getScore() {
        return score;
    }

    public void setScore(float score) {
        this.score = score;
    }
    
    public int getPosition(){
        return startPosRef - startPosCont;
    }

    public JLabel getMapLabel() {
        return mapLabel;
    }

    public void setMapLabel(JLabel mapLabel) {
        this.mapLabel = mapLabel;
    }

    public boolean isSelected() {
        return selected;
    }

    protected void setSelected(boolean selected){
        this.selected = selected;
    }

    public int getMedian() {
        return median;
    }

    public void setMedian(int median) {
        this.median = median;
    }
    
    
    
}
