/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufpr.tads.jfinisher.action;

import br.ufpr.tads.jfinisher.JFinisher;
import br.ufpr.tads.jfinisher.frame.MainFrame;
import br.ufpr.tads.jfinisher.OpenSequence;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JOptionPane;

public class InsertSequenceAction implements ActionListener {

    private OpenSequence openSequence;

    public InsertSequenceAction(OpenSequence os) {
        openSequence = os;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        String typedSequence = JOptionPane.showInputDialog(null, null, JFinisher.textResource.getString("ContigMenuListener.insertSequence.title"), JOptionPane.PLAIN_MESSAGE);
        if (!typedSequence.equals("")) {
            //Insere sequencia
            openSequence.insertSequence(typedSequence, openSequence.getSelectedSeq());

            //Atualiza tela
            JFinisher.mainFrame.sspContigs.refreshSequence(openSequence);
            
            int posI, posF;
            if (openSequence.getOpenSequenceAlignmentSelected() == null) {
                posI = 0;
                posF = openSequence.getSequence().getLength() - 1;
            } else {
                posI = openSequence.getOpenSequenceAlignmentSelected().getPosition();
                posF = openSequence.getOpenSequenceAlignmentSelected().getPosition() + openSequence.getSequence().getLength() - 1;
            }
            //Atualiza consenso
            JFinisher.mainFrame.sspReference.refreshConsensusSequence(posI, posF);

            //Atualiza mapa
            JFinisher.mainFrame.sspMap.refreshSequence(openSequence);

            openSequence.getSequencePanel().clearHighlight();
            JFinisher.mainFrame.sspReference.refreshViewportView();
            JFinisher.mainFrame.sspContigs.refreshViewportView();
        }
    }
}