/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufpr.tads.jfinisher.action;

import br.ufpr.tads.jfinisher.JFinisher;
import br.ufpr.tads.jfinisher.frame.MainFrame;
import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;

public class NewProjectAction extends AbstractAction implements Action {

    @Override
    public void actionPerformed(ActionEvent e) {
        //Caso existam sequencias abertas, avisa que alteracoes serao perdidas
        int unsavedChanges = JOptionPane.YES_OPTION;
        if (!JFinisher.getOpenSequences().isEmpty()) {
            unsavedChanges = JOptionPane.showConfirmDialog(JFinisher.mainFrame, JFinisher.textResource.getString("LoadProjectAction.unsavedChanges"), JFinisher.textResource.getString("LoadProjectAction.title"), JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE);
        }

        if (unsavedChanges == JOptionPane.YES_OPTION) {
            //Limpa tela, arquivos abertos, etc
            JFinisher.mainFrame.clear();
            JFinisher.mainFrame.sspMap.setZoom(1);
            JFinisher.mainFrame.enableFields(false);
            JFinisher.setOpenProject(null);
        }
    }
    
}
