package br.ufpr.tads.jfinisher.sequencepanel;

import br.ufpr.tads.jfinisher.JFinisher;
import br.ufpr.tads.jfinisher.Sequence;

public class SequencePanelCounter extends SequencePanel {

    private Sequence counter = new Sequence();

    public SequencePanelCounter(int sequenceLength) {
        createCounter(sequenceLength);
    }

    public void createCounter(int sequenceLength) {
        int c, x;
        StringBuilder counterString = new StringBuilder();
        for (int r = 0; r < JFinisher.basesCont - 1; r++) {
            counterString.append(" ");
        }
        for (c = JFinisher.basesCont; c <= sequenceLength; c += JFinisher.basesCont) {
            int contLength = Integer.toString(c).length();
            counterString.append(c);
            for (x = contLength; x < JFinisher.basesCont; x++) {
                counterString.append(" ");
            }
        }
        counter.setSeq(counterString.toString().getBytes());
        packPanel(counter);
    }
}
