package br.ufpr.tads.jfinisher.util;

import java.io.File;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JFileChooser;

/**
 *
 * @author Dieval
 */
public class WindowUtil {
    private static JFileChooser chooser = null;
    private static InitThread it = null;
    
    public static void init() {
        if( chooser == null ) {
            it = new InitThread();
            it.start();
        }
    }
    
    public static JFileChooser getOpenChooser() {
        while( chooser == null ) {
            if( it == null ) {
               it = new InitThread();
               it.start();
            }
            try {
                Thread.sleep(100);
            } catch (InterruptedException ex) {
                Logger.getLogger(WindowUtil.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
        // configura o fileChooser
        return chooser;
    }
    
    private static synchronized void setChooser(JFileChooser arq) {
        chooser = arq;
    }
    
    static class InitThread extends Thread {
        @Override
        public void run() {
            // passa o diretrio atual, como inicial para o fileChooser
            JFileChooser chooser = new JFileChooser(new File(".") );
            WindowUtil.setChooser( chooser );
            WindowUtil.it = null;
        }
    }
}